
_OpenScript("includes/vector3.lua")
MyIndex = 0
Owner = 0
CurrentTime = 0
function onInit( )
_SWEPSetSound(MyIndex, "single_shot", "Weapon_StunStick.Swing")
end
function onThink( )
end
function onPrimaryAttack( )
end
function onSecondaryAttack( )
end
function onReload( )
return true;
end
function getHUDMaterial( )
return "gmod/SWEP/default"
end
function getClassName()
return "OP AF BOI"
end
function getPrimaryScriptOverride()
return 0
end
function getSecondaryScriptOverride()
return 0
end
function getAnimPrefix()
return "pistol"
end
function getReloadsSingly()
return false
end
function getFiresUnderwater()
return true
end
function getViewModel( )
return "models/weapons/v_physics.mdl"
end
function getWorldModel( )
return "models/weapons/w_physics.mdl"
end
function getPrintName()
return "the defenition of op v.2"
end
function getWeaponFOV()
return 120
end
function getWeaponSlot()
return 5
end
function getWeaponSlotPos()
return 1
end
function getDamage()
return 200;
end
function getWeaponSwapHands()
return true
end
function getPrimaryShotDelay()
return 0,05;
end
function getPrimaryIsAutomatic()
return false;
end
function getBulletSpread()
return vector3(0,00,0,04,0,00)
end
function getViewKickRandom()
return vector3(0,00,0,00,0,00)
end
function getViewKick()
return vector3(0,00,0,00,0,00)
end
function getNumShotsPrimary()
return 10
end
function getPrimaryAmmoType()
return "357"
end
function getMaxClipPrimary()
return 120
end
function getDefClipPrimary()
return 14400
end
function getViewKickSecondary()
return vector3(0,00,0,00,0,00)
end
function getViewKickRandomSecondary()
return vector3(0,00,0,00,0,00)
end
function getDamageSecondary()
return 10;
end
function getSecondaryShotDelay()
return 0,5;
end
function getSecondaryIsAutomatic()
return 14400
end
function getBulletSpreadSecondary()
return vector3(0,00,0,04,0,00)
end
function getNumShotsSecondary()
return 1
end
function getSecondaryAmmoType()
return "Battery"
end
function getMaxClipSecondary()
return 120
end
function getDefClipSecondary()
return 40
end
--made with shaft's weapon maker.